org.apache.hc.core5.http.impl

## Class BasicEndpointDetails

- java.lang.Object
- - org.apache.hc.core5.http.EndpointDetails
  - - org.apache.hc.core5.http.impl.BasicEndpointDetails

- All Implemented Interfaces:
    HttpConnectionMetrics

      public final class BasicEndpointDetails
      extends EndpointDetails

  Basic HTTP connection endpoint details.
  Since:
    5.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BasicEndpointDetails(SocketAddress remoteAddress, SocketAddress localAddress, HttpConnectionMetrics metrics, Timeout socketTimeout)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getReceivedBytesCount()` Gets the number of bytes transferred over the connection, 0 if not available.
    `long` | `getRequestCount()` Gets the number of requests transferred over the connection, 0 if not available.
    `long` | `getResponseCount()` Gets the number of responses transferred over the connection, 0 if not available.
    `long` | `getSentBytesCount()` Gets the number of bytes transferred over the connection, 0 if not available.

    - ### Methods inherited from class org.apache.hc.core5.http.EndpointDetails

      `getLocalAddress, getRemoteAddress, getSocketTimeout, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BasicEndpointDetails

          public BasicEndpointDetails(SocketAddress remoteAddress,
                                      SocketAddress localAddress,
                                      HttpConnectionMetrics metrics,
                                      Timeout socketTimeout)

  - ### Method Detail

    - #### getRequestCount

          public long getRequestCount()

      Description copied from class: `EndpointDetails`
      Gets the number of requests transferred over the connection, 0 if not available.
      Specified by:
        `getRequestCount` in interface `HttpConnectionMetrics`
      Specified by:
        `getRequestCount` in class `EndpointDetails`

    - #### getResponseCount

          public long getResponseCount()

      Description copied from class: `EndpointDetails`
      Gets the number of responses transferred over the connection, 0 if not available.
      Specified by:
        `getResponseCount` in interface `HttpConnectionMetrics`
      Specified by:
        `getResponseCount` in class `EndpointDetails`

    - #### getSentBytesCount

          public long getSentBytesCount()

      Description copied from class: `EndpointDetails`
      Gets the number of bytes transferred over the connection, 0 if not available.
      Specified by:
        `getSentBytesCount` in interface `HttpConnectionMetrics`
      Specified by:
        `getSentBytesCount` in class `EndpointDetails`

    - #### getReceivedBytesCount

          public long getReceivedBytesCount()

      Description copied from class: `EndpointDetails`
      Gets the number of bytes transferred over the connection, 0 if not available.
      Specified by:
        `getReceivedBytesCount` in interface `HttpConnectionMetrics`
      Specified by:
        `getReceivedBytesCount` in class `EndpointDetails`

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.